Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455421 - /etc/init.d/rhn-satellite should not start database when external db is configured
Summary: /etc/init.d/rhn-satellite should not start database when external db is confi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Miroslav Suchý
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-07-15 13:53 UTC by Miroslav Suchý
Modified: 2009-01-22 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:29:29 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2008-07-15 13:53:59 UTC
Description of problem:
/etc/init.d/rhn-satellite always start/stops /etc/init.d/rhn-database. Even if
external db is configured. Any errors is silently ignored, so it seem working,
but under hood it is broken.
Furthemore if you do 
rpm -e rhn-dobby 
, which is control package for embedded db, it remove  /etc/init.d/rhn-database
and /etc/init.d/rhn-satellite will report errors. So dependency between 
rhn-satellite-admin and rhn-dobby is missing.

Comment 1 Clifford Perry 2008-10-16 19:28:10 UTC
Michael - will this get fixed in next few days for Spacewalk 0.3?

Comment 2 Michael Mráka 2008-10-17 07:56:53 UTC
Hope so, working on it :).

Comment 3 Clifford Perry 2008-10-21 17:28:20 UTC
move back to space04 if you get this fixed in next day or so, we are looking to build space03 packages now.

Comment 4 Michael Mráka 2008-10-29 12:29:07 UTC
Fixed in git repo

commit e954a1875fff57e03a5f04b8fd22db71d75d94ec
    455421 - removed rhn-database

Comment 5 Michael Mráka 2009-01-16 08:41:31 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.